import { InitProps, TrackingSpi } from './tracking_spi';
import { TrackingApi, TrackingEventProperties } from './tracking_api';
declare global {
    interface Window {
        umami: any;
    }
}
export declare class UmamiTrackingProvider implements TrackingSpi, TrackingApi {
    getKey(): string;
    initialize(props: InitProps): void;
    identify(userID: string): void;
    trackPageView(url: string | undefined): void;
    trackSingleItem(item: string, properties?: TrackingEventProperties): void;
}
